Jump to: navigation, search

Genesys Rules System

Important
Genesys support for the platform versions mentioned on this page ends when the respective vendors declare End of Support. For more information, see Discontinued Support.

Supported Operating Systems

OS Family OS Release Conditions
OS Family OS Release Conditions
Linux CentOS Linux 7 8.5.3+ Supported by GRAT starting with 8.5.304.14 and GRE starting with 8.5.304.08.
Linux Red Hat Enterprise Linux 5 8.1 - 8.5.3 Discontinued as of August 30, 2019.
Linux Red Hat Enterprise Linux 6 8.5 - 9.0 Note the following:
  • GRS Engine - Last supported: 9.0.000.18
  • GRS Authoring Tool - Last supported: 9.0.000.22
Windows Windows 7 8.1 - 8.5.3 Discontinued as of August 30, 2019.
Windows Windows Server 2008 8.1 - 8.5.3 Discontinued as of August 30, 2019
Windows Windows Server 2012 8.5.1+
Windows Windows Server 2012 8.5.1+ Starting with 8.5.100.10.
Windows Windows Server 2016 8.5.3+ Supported by GRAT starting with 8.5.303.16 and GRE starting with 8.5.303.11.
Windows Windows Server 2019 9.0.0+ Supported by GRE starting with 9.0.000.16 and GRAT starting with 9.0.000.23.

Supported Browsers


Component Browser Release Conditions/Limitations
Apple Safari 8.5.2+ Release number relates to GRS UI.
Firefox ESR 8.1.1+ Release number relates to GRS UI.
Google Chrome 8.1.4+ Release number relates to GRS UI.
Microsoft Edge 9.0+ Release number relates to GRS UI.

Supported Database/DB Clusters


Database Release Conditions/Limitations
IBM DB2 9.7 8.1 - 8.5.2 Discontinued as of August 30, 2019.
MS SQL Server 2016 8.5.3+ Genesys Rules System Rules Engine supports this starting with 8.5.303.11. Genesys Rules System Rules Authoring Tool supports this starting with 8.5.303.16.
MS SQL Server 2016 Cluster 8.5.3+ Support starting with 8.5.303.11
MS SQL Server 2019 9.0.0+ Genesys Rules System Rules Engine supports this starting with 9.0.000.16. Genesys Rules System Rules Authoring Tool supports this starting with 9.0.000.23.
Oracle 11g 8.1 Oracle 11g Rel 1 and Rel 2 are supported. Discontinued as of August 30, 2019.
Oracle 11g RAC 8.1 Oracle 11g Rel 1 and Rel 2 are supported. Discontinued as of August 30, 2019.
Oracle 12c R1 8.5.1
Oracle 12c R2 RAC 9.0 SCAN is supported.
Oracle 18c 9.0
Oracle 18c RAC 9.0
Oracle 19c 9.0.0+ Genesys Rules System Rules Engine supports this starting with 9.0.000.19. Genesys Rules System Rules Authoring Tool supports this starting with 9.0.000.26
Oracle 19c RAC 9.0.0+ Genesys Rules System Rules Engine supports this starting with 9.0.000.19. Genesys Rules System Rules Authoring Tool supports this starting with 9.0.000.26
PostgreSQL 9 8.5.1

Supported Virtualization Platforms

Tip
See the global page that lists all Virtualization-related information.

IPV6 Support for Common Interfaces


Notes:
  • Release Support numbers refer to Genesys Rules System.
Component Release Interface Conditions
no direct interface Interaction Server
no direct interface SIP Server/T-Server

IPV6 Support for Additional Interfaces


No IPV6 information for additional components at this time.

Prerequisites


Notes:
  • For the Genesys Rules Development Tool component (available only up to release 8.1.4), you must have either Composer 8.1.0+ or Eclipse 3.5.0+.

Genesys Rules System - Prerequisites

Third-Party Component Prerequisites

Acquired by Customer

Provided by Genesys

Conditions/Limitations

Web Server

Apache Tomcat 6 Yes No Release: 8.1 - 8.5.3
Discontinued as of August 30, 2019.
Apache Tomcat 7 Yes No Release: 8.5 - 8.5.3
Discontinued as of August 30, 2019.
Apache Tomcat 8 Yes No Release: 8.5.3+

Note the following:

  • Support starting with version 8.5.303.06.
  • Discontinued as of August 30, 2019.
Apache Tomcat 8.5 Yes No Release: 8.5.3+
Support starting with version 8.5.303.06
Apache Tomcat 9.0.41 Yes No Release: 9.0+
Starting with GRAT version 9.0.000.25 and GRE version 9.0.000.18.
IBM WebSphere Application Server 7 Yes No Release: 8.1 - 8.5.3
Discontinued as of August 30, 2019.
IBM WebSphere Application Server 7 Yes No Release: 8.5
IBM WebSphere Application Server 8.5 Yes No Release: 8.5+
JBOSS 7.1.1 Yes No Release: 8.1 - 8.5

Note the following:

  • Supported for GRAT and GRE only. REST APIs are not supported on JBOSS.
  • Discontinued as of August 30, 2019.

Other Prerequisites

JDK 8 (or Oracle Java 8 Runtime (JRE)) Yes No Release: 8.5
Must be installed on the application server host.
Oracle Java Development Kit (JDK) 6 Yes No Release: 8.1 - 8.5.3

Note the following:

  • Must be installed on the application server host. Support for version 8.1 only.
  • Discontinued as of August 30, 2019.
Oracle Java Development Kit (JDK) 7 Yes No Release: 8.1 - 8.5.3

Note the following:

  • (Alternatively, JRE 7) Must be installed on the application server host. Applicable to versions 8.1.3 and above.
  • Discontinued as of August 30, 2019.
Oracle Java Development Kit (JDK) 8 Yes No Release: 9.0
Oracle Java Development Kit (JDK) 8 Yes No Release: 8.5
Must be installed on the application server host. Support for version 8.5 only.

Third-Party Component Prerequisites

OpenJDK 11 Yes No Release: 9.0
OpenJDK 13 Yes No Release: 9.0

Supported from:

  • GRE version 9.0.000.18
  • GRAT version 9.0.000.25
OpenJDK 8 Yes No Release: 9.0
This page was last edited on November 3, 2021, at 10:33.
blog comments powered by Disqus